Update entity user

Update one or more fields of an existing Entity user (Control Person, Beneficial Owner, or Board Member). This is a partial update endpoint - only the fields provided in the request body will be updated.

Important notes:

Platform configuration:

  • Your platform must be properly configured before using this endpoint.

PII changes and document requirements:

  • When users are updated with new identifying information (such as first_name, last_name, date_of_birth, or citizenship_code), these changes must be accompanied by supporting documentation.
  • Use the Submit Documents endpoint with the appropriate document type to provide supporting documents.

Compliance field updates:

  • Updating KYC-related fields (sanction_screening, kyc, id_number_type, etc.) may require re-verification depending on your platform configuration.
  • Changes to identity documents or verification status may trigger additional compliance checks.

Vendor reliance track:

  • For platforms using vendor reliance track, sanction_screening and kyc fields must be provided with vendor verification results.
  • sanction_screening_timestamp and kyc_timestamp should be set to the time when the vendor completed the verification (in milliseconds since Unix epoch).

Conditional requirements:

  • If id_number_type is non_us_other, the non_us_other_type field is required to describe the ID type.
  • For non-US citizens or when tax_id is an ITIN (begins with 9), id_number_type and id_number are required.

Response:
Returns the complete user object with all fields, including unchanged fields and system-generated metadata.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique participant identifier. Always 6 uppercase alphanumeric characters.

string
required

Unique identifier related to the user

Body Params

Updated entity user fields (all fields optional, only send fields to update)

string

The first name of the user

string

The middle name of the user

string

The last name of the user

string

Email address of the user

string

The phone number of the user. Must be in E.164 format

string

First line for the user's address.

Notes:

  • The regular maximum length is 80 characters.

  • If the platform is on the vendor reliance track, the maximum length increases to 200 characters.

  • PO Box addresses are not accepted.

string

Extra information, like an apartment or suite number.

Notes:

  • The regular maximum length is 50 characters.
  • If the platform is on the vendor reliance track, the maximum length increases to 200 characters.
  • PO Box addresses are not accepted.
string

City of the user

string

Postal, or zip code, of the user, in the format "min 4 characters, no leading or trailing spaces" for non-US postal code or <5digits>-<4digits> for US zip code, e.g. 77777 or 77777-7777

string

The ISO 3166-2 subdivision code that the user resides in

string

Birth date of the user

place_of_birth
object

The place of birth of the user, as is defined on their ID (Passport, etc.)

string
enum

The ISO-3166-1 alpha2 citizenship of the user, e.g. US.

string

The national ID of the user, e.g. a social security number. Required if citizenship=United States or citizenship_code=US.
Note: if citizenship=United States, and tax_id begins with 9, then id_number_type and id_number are also required.

string
enum

The type of identification number provided.

Allowed values:

  • us_drivers_license - US Driver's License
  • us_passport - US Passport
  • us_passport_card - US Passport Card
  • us_permanent_resident_card - US Permanent Resident Card (Green Card)
  • us_border_crossing_card - US Border Crossing Card
  • us_alien_card - US Alien Registration Card
  • us_id_card - US State-issued ID Card
  • non_us_passport - Non-US Passport
  • non_us_other - Other Non-US identification (requires non_us_other_type field)
  • passport - Generic passport
  • eu_drivers_license - European Union Driver's License
  • national_id - National identity card
  • legal_entity_identifier - Legal Entity Identifier (LEI) for organizations
  • chamber_of_commerce_number - Chamber of Commerce registration number
  • value_added_tax_number - VAT identification number

Conditional requirements:

  • When id_number_type is non_us_other, the non_us_other_type field is required.
    Note: Required when citizenship is not United States or tax_id is not an SSN.
string

ID number of the ID document provided.
Required when citizenship is not United States or tax_id is not an SSN

string
enum

ISO-3166-1_A2 country code that issued the ID. Required if id_number is provided.

string

This is required if you select non_us_other for the id_number_type - a freeform string to describe the ID type

string
enum

Result of the user's sanctions screening.

Allowed values:

  • pass - User passed sanctions screening
  • fail - User failed sanctions screening
Allowed:
number

UNIX timestamp (in milliseconds) when the sanctions screening was performed on the user.

string
enum

Whether the user passed or failed KYC verification by vendor.

Allowed values:

  • pass - KYC verification passed
  • fail - KYC verification failed
Allowed:
number

The UNIX timestamp (in milliseconds) when KYC was passed. This timestamp value must be from no longer than one (1) year in the past or one (1) day in the future.

string

The role of the user

Headers
string
required

HMAC-SHA256 signature of the request, base64-encoded. See the Authentication guide for the exact signing formula.

string
required

Current Unix timestamp in seconds. Must be within 60 seconds of server time or the request is rejected.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json